/*
xAffect - Middleware for Physiological Sensors and Affective Signal Processing
Copyright (c) 2011-2012 FZI Research Center for Information Technology, Germany

This file is part of the xAffect middleware. For more information, see http://www.xaffect.org [^]

This software is licensed under the Original BSD License. You should have received a copy of the Original BSD License along with xAffect. If not, see http://www.xaffect.org/license/. [^]
*/ 

package org.xaffect.components.sink.dataviewer.resources.common;

/**
 * Listener handling an {@link Option}'s selected-status.
 */
public abstract class OptionSelectedListener
{
	/**
	 * Handles changes to an {@link Option's} selected-attribute.
	 * @param isSelected
	 */
	public abstract void optionSelected(boolean isSelected);
}
