/*
xAffect - Middleware for Physiological Sensors and Affective Signal Processing
Copyright (c) 2011-2012 FZI Research Center for Information Technology, Germany

This file is part of the xAffect middleware. For more information, see http://www.xaffect.org [^]

This software is licensed under the Original BSD License. You should have received a copy of the Original BSD License along with xAffect. If not, see http://www.xaffect.org/license/. [^]
*/ 

package org.xaffect.components.sink.dataviewer.resources.common;

/**
 * Represents a ValueListener listening to changes in a {@link ValueScale}'s selected 
 */
public abstract class ValueScaleListener
{
	/**
	 * Handles changes to a value.
	 */
	public abstract void valuesChanged();
}
